Subject: Re: chroot() guestt accounts, Linux 2.0.28 and wuftpd-2.4.2-beta-11

From: [email-masked] (Stan Barber)
Date: 4 Feb 1997 09:08:48 GMT

In article <[email-masked]> Gregory Youngblood <[email-masked]> writes:
>
>Here's the scoop:
>	linux 2.0.28
>	libc-5.3.12
>	wu-ftpd-2.4.2-beta-11 -or-
>	wu-ftpd-2.4(1)
>
>Now, my question: Why does the old ftpd work and the new ftpd doesn't?

Actually, you are using an old beta. The latest beta is 12. Beta 11 does
not work on linux 2.X kernels. Beta-12 does.

-- 
Stan   | Academ Consulting Services        |internet: [email-masked]
Olan   | For more info on academ, see this |uucp: {mcsun|amdahl}!academ!sob
Barber | URL- http://www.academ.com/academ |Opinions expressed are only mine.

---

From: Perry Rovers <[email-masked]>
Date: 5 Feb 1997 19:27:58 GMT

Pink elephants with an attitude inspired Stan Barber <[email-masked]> to tell garfield.mail.wu-ftpd:
: In article <[email-masked]> Gregory Youngblood <[email-masked]> writes:
: >
: >Here's the scoop:
: >	linux 2.0.28
: >	libc-5.3.12
: >	wu-ftpd-2.4.2-beta-11 -or-
: >	wu-ftpd-2.4(1)
: >
: >Now, my question: Why does the old ftpd work and the new ftpd doesn't?

: Actually, you are using an old beta. The latest beta is 12. Beta 11 does
: not work on linux 2.X kernels. Beta-12 does.
Ehm.. I was using beta 11 with Linux 2.0.0 through 2.0.28 before beta 12
came out. Maybe you mean some specific functionality?
Apart from this, I'm using the same stuff as Gregory and beta 12 (and 11)
works fine for me (but I don't use guestgroups so I can't comment on that
part).

-- 
Perry Rovers ([email-masked])

---

From: Gregory Youngblood <[email-masked]>
Date: Wed, 5 Feb 1997 21:49:19 -0600 (CST)

> works fine for me (but I don't use guestgroups so I can't comment on that

beta 11 and beta 12 worked fine for me as well. However the guestgroup 
portion of it has problems. The problems are NOT there with 2.4(1). In 
fact, if I install the 2.4.2-academ-beta12(1) binaries and do not change 
any config files then the guestgroup/chroot breaks, but ftp itself works.

Anyone have any advice?